MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
00002773D-Coat v3.xUV roompublic2011-06-15 11:582011-11-10 12:03
ReporterTaros 
Assigned ToAndrew 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindows 7OS Version64 Bit
Product Version 
Target VersionFixed in Version 
Summary0000277: Object materials (UV-Maps) Problems (Really ugly - interrupts the workflow)
DescriptionHello.
Today I tried to record a commercial video tutorial. But I was forced to give up, because of really ugly problems within the UV-Room, there in the "Object Materials" window.

The problems (some are critical):
a) The Object Materials window will NOT be refreshed, when new UV-Sets are created.
b) Critical: When you delete a UV-Set inside the Object Materials window, you will be not able to unfold the model anymore. Are you using just one UV-Map, the whole model will be deleted and the scene reset to the start window.
Not acceptable: UV-Maps are UV-Information, not model information, in my opinion. When I delete a UV-Set, then I delete just the UV coordinates and not the polygons.

By the way: Why is this window called "Object materials" in the english version? The content inside this window are one or more "UV-Sets" of the current model/scene.

A "material" is something completely different. 3D artists are talking about UV Coordinates/Texture Coordinates inside the UV-Room and not materials. A material is something like a shader, with texture information and colors, it describes the surface appearance.

Please correct me, if I am wrong.
Steps To ReproduceProblem a)
1. Go to the UV-Room.
2. Open the "Object Materials" window.
3. Create a new UV-Set.
-> The new UV-Set is not appearing in the "Object materials" window, as long as you not change the window size. -> Refresh problem.

Problem b)
1. Inside the UV-Room: Create more than one UV-Sets. A second one, if only one UV-Set exists.
2. Now select some islands and move them to the new UV-Set.
3. Apply UV-Set.
4. Now delete one of the UV-Sets by using the Cross-Icon inside the "Object materials" window.
-> The connected model faces disappear (In the paint room too)
-> Try to Unwrap: No chance.
-> No chance to select the missed faces.
Additional InformationThis is something really important and seems to be an old problem. I plan commercial texturing tutorials, but must wait until this functionality is working.
O know, I can do all by a workaround. But this is not an option for a tutorial, that should exlain such functionality.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000698)
Andrew (administrator)
2011-06-17 14:34

Resolveed in 3.5.21
(0000735)
Taros (administrator)
2011-06-28 19:57

Still happens in 3.5.21 Win7 64Bit CUDA
(0000738)
Grandmaster B (reporter)
2011-07-01 12:45

The "Materials" window (note that there are two window with that name) seems actually be a list of object-to-uv instances, needed for painting on UV-Set-textures. But i have to agree with Taros that its currently pretty confusing. I did not understand the whole thing until i read and tried what Taros has written.

In the end, "Materials" are really just UV-sets from the users point of view. Problem may be that new "Materials" are also show when the UV-Sets are not applied.
(0000774)
Andrew (administrator)
2011-07-28 14:43

I tried to repeat steps a,b on 3.5.22C and everything worked as expected.
(0000777)
Taros (administrator)
2011-07-28 16:02
edited on: 2011-07-28 16:03

Could you send me the link to the current version by mail please. I use still v.3.5.21A.
I will check the problem at home. Working currently at client office.

Thank you
Chris

(0000780)
Andrew (administrator)
2011-07-29 09:43

http://www.3d-coat.com/files/3d-Coat-V35-22C-CUDA64.exe [^]
(0000783)
Taros (administrator)
2011-07-29 12:06

I've prepared a video to show the problem. It still exists in v.3.5.22C.

-> http://www.grafikbuero-werner.de/download/daten/3dc_uvbug.mov [^]
(0000784)
Andrew (administrator)
2011-07-29 20:57

Thanks for video! This time this is finally resolved. Btw, I found one crash bug while deleting material btw.
(0000795)
Taros (administrator)
2011-08-02 21:01
edited on: 2011-08-02 21:02

I have still a problem with this issue:
When I delete a UV set that includes(!) uv islands. How can I get the deleted uv islands back???

v.3.5.23

(0000803)
Andrew (administrator)
2011-08-04 23:32

If you deleted material (ie UV set) through materials palette you deleted polygons, so can't get them back. Or I have not understood issue.
(0000805)
Taros (administrator)
2011-08-05 10:06

OK understand. Normally deleting UV sets should never delete polygons, too. UV information are texture coordinates or texture projection information, and not polygons in my understanding.
Deleting polygons automatically, when deleting UVs, is something that I don't expect as an 3D artist. In other 3D apps, polygons without UVs stay in the scene and you can add new UVs to them, even if they had UV information before you deleted this information.

Ok, but no critics without a suggestion. Here are my two suggestions, choose the one you like more, but find a solution please:

Suggestion 1:
When a user deletes a UV set, a popup window appears and have to be confirmed. Possible text in the window:
"Attention. Only empty UV sets can be deleted! Before you delete a UV set, clear the set. To do this, move the existing UV information to a different set or create a new UV set and move the UV islands there. [OK]-Button"

This means: A empty UV set can't be deleted!


Suggestion 2 (I prefer this one more):
When a user deletes a UV set, please move the existing UV information to a different UV set automatically(!) before deleting the UV set. If there is only one UV set existing, don't delete the last set and inform the user, like this for example:
"You can't delete this UV set. There must be existing at least one UV set."

Additional information for suggestion 2:
After you have deleted the set, please inform the user about the island movement, which could be done by a pop window, like this one:
"#setname was deleted. The deleted UV set was not empty, the included islands were moved to #setname. [OK]"

The words behind "#" stays for the set names which were used. You could move the islands of the deleted UV set to the UV set before in the stack, for example. Of course you could program a system, that gives the user the choise alternatively.

If you don't understand something just write me a message or use skype, please.

Best wishes
Chris
(0001059)
Andrew (administrator)
2011-09-20 13:30

If you deleting object you are deleting faces. If you are deleting material it means deleting faces too. But deleting UV set is done in other way - there is "Delete unused uv sets" in UV room - you can't delete UV set if there are some faces. So I see not problem there.
(0001061)
Taros (administrator)
2011-09-20 15:23

So you mean: When I plan to delete a UV set, I have to move the islands to a different UV set, before I activate the delete UV function?

Why this circoutous?

So this means in 3D Coat: a Matrial = UV set = polys? (simplified said) If you delete one of them, you delete the others too?

Please seperate UV sets, materials and polys. Please never delete polys, when deleteing UVs. This is really strange and something I've never seen in another 3D application. The only situation I accept and understand: When deleting polygons, you delete the material and uv set too. This is normal, but the opposite way.

Hope this philosophy will be changed one day. What the other users think about this?
(0001063)
Andrew (administrator)
2011-09-20 16:03

Materials and UV sets are very different but may be the same. Materials and objects are just methods of faces sorting. And you can't delete UV set in UV room if UV has some faces. What is strange there?
(0001231)
Andrew (administrator)
2011-11-07 15:43

reopen if it is still a problem.
(0001266)
Taros (administrator)
2011-11-10 12:03

OK. I accept that an "material" represents something different than an UVset. But I don't understand the sense of "Materials" inside 3DC. What are they good for?

Maybe you could explain it for us?

- Issue History
Date Modified Username Field Change
2011-06-15 11:58 Taros New Issue
2011-06-15 11:58 Taros Status new => assigned
2011-06-15 11:58 Taros Assigned To => Andrew
2011-06-17 14:34 Andrew Note Added: 0000698
2011-06-17 14:34 Andrew Status assigned => resolved
2011-06-17 14:34 Andrew Resolution open => fixed
2011-06-17 15:07 Taros Description Updated View Revisions
2011-06-28 19:57 Taros Note Added: 0000735
2011-06-28 19:57 Taros Status resolved => feedback
2011-06-28 19:57 Taros Resolution fixed => reopened
2011-07-01 12:45 Grandmaster B Note Added: 0000738
2011-07-28 14:43 Andrew Note Added: 0000774
2011-07-28 16:02 Taros Note Added: 0000777
2011-07-28 16:02 Taros Status feedback => assigned
2011-07-28 16:03 Taros Note Edited: 0000777 View Revisions
2011-07-29 09:43 Andrew Note Added: 0000780
2011-07-29 12:06 Taros Note Added: 0000783
2011-07-29 20:57 Andrew Note Added: 0000784
2011-07-29 20:57 Andrew Status assigned => resolved
2011-07-29 20:57 Andrew Resolution reopened => fixed
2011-08-02 21:01 Taros Note Added: 0000795
2011-08-02 21:01 Taros Status resolved => feedback
2011-08-02 21:01 Taros Resolution fixed => reopened
2011-08-02 21:02 Taros Note Edited: 0000795 View Revisions
2011-08-04 23:32 Andrew Note Added: 0000803
2011-08-05 10:06 Taros Note Added: 0000805
2011-08-05 10:06 Taros Status feedback => assigned
2011-09-20 13:30 Andrew Note Added: 0001059
2011-09-20 15:23 Taros Note Added: 0001061
2011-09-20 16:03 Andrew Note Added: 0001063
2011-11-07 15:43 Andrew Note Added: 0001231
2011-11-07 15:43 Andrew Status assigned => resolved
2011-11-07 15:43 Andrew Resolution reopened => fixed
2011-11-10 12:03 Taros Note Added: 0001266
2011-11-10 12:03 Taros Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker